
Figure - Bug #112100
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】设置 - 显示 - 屏保中的“使用屏保”开关打开后，DUT立即进入了屏保模式
2022-09-22 15:53 - CD Test赵飞

Status: CLOSED Start date: 2022-09-22

Priority: Normal Due date: 2022-09-29

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220921.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

Reproducibility: Every time Fixed Version: 2022-09-27

Test Type: IT Root cause: 安卓原生和需求不一致

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220921.alpha

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置 - 显示 - 屏保

2、点击“使用屏保”开关

【预期结果】

2、“使用屏保”开关被正常打开，DUT不会立即进入屏保模式

【实际结果】

2、“使用屏保”开关被正常打开，DUT立即进入了屏保模式

【复现率】

5/5

【Note】

此开关应该为控制DUT是否使用屏保，而不是触发进入屏保，触发屏保的方式有以下三种：

    -  满足屏保时机，进入屏保

    -  控制中心，电源选项，进入屏保

    -  手机app下发指令，进入屏保

History

#1 - 2022-09-22 16:09 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD FW-程天颖

#2 - 2022-09-22 16:18 - CD FW-程天颖

- Status changed from New to ASSIGNED

#3 - 2022-09-26 18:33 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V2.0_20220930

#4 - 2022-09-27 17:04 - CD FW-程天颖
- % Done changed from 0 to 60

#5 - 2022-09-27 19:35 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD Test赵飞

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220927.alpha

- Fixed Version set to 2022-09-27

- Root cause set to 安卓原生和需求不一致

■ Current conclusion

该bug已解决

■ My analysis

由于原生安卓和需求不一致,需要根据需求定制

■ Next action / ■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152095

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/152163

#6 - 2022-09-28 15:04 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- Verified Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220927.alpha to

FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

验证结果：PASS

#7 - 2022-09-28 15:04 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152095 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Screen Saver:fixed when change use screen saver switch into screen1.fixed when change use screen saver switch into screenTC-RID: 1201-0300601IssueID:

TS-R-BUG-112100Change-Id: I5a7a0c6f06b012bbba6e06d8a73601187a6dd99b

#9 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152163 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com
AF:Screen Saver:fixed when change use screen saver switch into screen1.fixed when change use screen saver switch into screenTC-RID: 1201-0300601IssueID:

TS-R-BUG-112100Change-Id: I14142077e03d6e2259ef2990d0f3f2298c915c8f

#10 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152396 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

AF:Screen Saver:fixed when change use screen saver switch into screen1.fixed when change use screen saver switch into screenTC-RID: 1201-0300601IssueID:

TS-R-BUG-112100Change-Id: I93046063d9589a7634c1511b3db815b513152257

#11 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153491 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Fix the problem of invalid screensaver switch clickFix the problem of invalid screensaver switch clickTC-RID: 1201-0300601IssueID:

TS-R-BUG-112100Change-Id: Ia1d668d9c85c0b9054c6130601dff5024308ef5e
